Package htsjdk.samtools

# Enum Class SAMValidationError.Severity

java.lang.Object
java.lang.Enum<SAMValidationError.Severity>
htsjdk.samtools.SAMValidationError.Severity

All Implemented Interfaces:
  `Serializable`, `Comparable<SAMValidationError.Severity>`, `Constable`

Enclosing class:
  `SAMValidationError`

public static enum SAMValidationError.Severity extends Enum<SAMValidationError.Severity>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR`
`WARNING`

## Method Summary

Modifier and Type
Method
Description
`static SAMValidationError.Severity`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SAMValidationError.Severity[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### WARNING

public static final SAMValidationError.Severity WARNING

### ERROR

public static final SAMValidationError.Severity ERROR

## Method Details

### values

public static SAMValidationError.Severity[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SAMValidationError.Severity valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null